var JSON2 = {
  encode : function(input) {
    if (!input) return 'null'
    switch (input.constructor) {
      case String: return '\"' + input + '\"'
      case Number: return input.toString()
      case Boolean: return input.toString()
      case Array :
        var buf = []
        for (i in input)
          buf.push(JSON2.encode(input[i]))
            return '[' + buf.join(', ') + ']'
      case Object:
        var buf = []
        for (k in input)
          buf.push('\"' + k + '\"'+' : ' + JSON2.encode(input[k]))
            return '{ ' + buf.join(', ') + '} '
      default:
        return 'null'
    }
  }
}


function ParamsFormat(hashMap){
    var keys = hashMap.keys();
    var sb = new StringBuffer();
    sb.append("{");
    for(var i=0;i<keys.length;i++){
        var value = hashMap.get(keys[i]);
        if(value==null||value==undefined||value=="undefined"){
            value="";
        }
        if((i==keys.length-1)){
            sb.append("\""+keys[i]+"\""+":"+"\""+value+"\"");
        }else{
            sb.append("\""+keys[i]+"\""+":"+"\""+value+"\""+",");
        }
    }
    sb.append("}");
    
    return sb.toString();
}

function JSONFormat(hashMap){
    var keys = hashMap.keys();
    var sb = new StringBuffer();
    sb.append("{");
    for(var i=0;i<keys.length;i++){
        var value = hashMap.get(keys[i]);
        if((i==keys.length-1)){
            sb.append('"'+keys[i]+'"'+":"+'"'+value+'"');
        }else{
            sb.append('"'+keys[i]+'"'+":"+'"'+value+'"'+',');
        }
    }
    sb.append("}");
    return JSON.parse(sb.toString());
}


//function SendPacket(packet, success, error, packetkey, endfunc) {
//    $.ajax({
//        type: "POST",
//        url: "http://192.168.72.215:8080/front/test!forwardJres",
//        // url: "http://192.168.92.58:8080/front/test!forwardJres",
//        timeout: 5000,
//        contentType:"text/json",
//        data: packet,
//        cache: false,
//        error: function(response){
//            error(response);
//        },
//        success: function(json){
//            packet=JSON.parse(packet);
//            var req01=packet.req01;
//            if (req01 == null || req01 == undefined) success(json, packetkey,endfunc);
//            else success(json, req01, packetkey,endfunc);
//        }
//    });

//}


function SendPacket(packet, success, error, packetkey, endfunc) {

    params = JSON.parse(packet);
    params.subsys_id = "117";
    //alert(JSON.stringify(params));
    sendTCPData(function (json) {
        success(json, packetkey, endfunc)
    }, JSON.stringify(params));

  
}


