(function($){
	$.fn.Xslider = function(options){var settings ={
			affect: 'scrollx', //效果  有scrollx|scrolly|fade|none
			speed: 1200, //动画速度
			space: 6000, //时间间隔
			auto: true, //自动滚动
			conbox: '.conbox', //内容容器id或class
			ctag: 'a', //内容标签 默认为<a>
			rand:false //是否随机指定默认幻灯图片
		};
		settings = $.extend({}, settings, options);
		var index = 1;
		var last_index = 0;
		var $conbox = $(this).find(settings.conbox),$contents = $conbox.find(settings.ctag);
		if(settings.rand) {index = Math.floor(Math.random()*$contents.length);slide();}
		if(settings.affect == 'fade'){
			$.each($contents,function(k, v){
				(k === 0) ? $(this).css({'position':'absolute'}):$(this).css({'position':'absolute', display:"none"});
			});
		}

		function slide(){if (index >= $contents.length) index = 0;
			switch(settings.affect){case 'scrollx':
					$conbox.width($contents.length*$contents.width());
					$conbox.stop().animate({left:-$contents.width()*index},settings.speed);
					break;
				case 'scrolly':
					$contents.css({display:'block'});
					$conbox.stop().animate({top:-$contents.height()*index+'px'},settings.speed);
					break;
				case 'fade':
					// $contents.eq(last_index).stop().animate({'opacity': 0}, settings.speed/2).css('z-index',1)
					// 		 .end()
					// 		 .eq(index).css('z-index',9).stop().animate({'opacity': 1}, settings.speed/2);
					$contents.eq(last_index).fadeOut(settings.speed/2);
					$contents.eq(index).fadeIn(settings.speed/2);
					break;
				case 'none':
					$contents.hide().eq(index).show();
					break;
			}
			last_index = index;
			index++;
			//if(settings.auto) var Timer = setTimeout( slide, settings.space);
		};
		if(settings.auto) var Timer = setInterval(slide, settings.space);
		// slide();
	}
})(jQuery);